## plasma-widget-searchmoid 0.1

=== CMakeLists.txt ===
# Project Needs a name ofcourse
project(searchmoid)
 
# Find the required Libaries
find_package(KDE4 REQUIRED)
include(KDE4Defaults)
 
add_definitions (${QT_DEFINITIONS} ${KDE4_DEFINITIONS})
include_directories(
   ${CMAKE_SOURCE_DIR}
   ${CMAKE_BINARY_DIR}
   ${KDE4_INCLUDES}
   ${QT_QTTEST_INCLUDE_DIR}
   )
 
# We add our source code here
set(searchmoid_SRCS searchmoid.cpp)
 
# Now make sure all files get to the right place
kde4_add_ui_files(searchmoid_SRCS searchmoidConfig.ui)
kde4_add_plugin(plasma_applet_searchmoid ${searchmoid_SRCS})
target_link_libraries(plasma_applet_searchmoid  ${KDE4_KDEUI_LIBS} ${QT_QTNETWORK_LIBRARY} ${QT_QTXML_LIBRARY}  ${KDE4_PLASMA_LIBS} )
 
install(TARGETS plasma_applet_searchmoid
        DESTINATION ${PLUGIN_INSTALL_DIR})
 
install(FILES plasma-applet-searchmoid.desktop
        DESTINATION  ${SERVICES_INSTALL_DIR})

=== debian/changelog ===
plasma-widget-searchmoid (0.1-0ubuntu3) maverick; urgency=low

  * Add a build-dep on cmake since kdelibs5-dev doesn't depend on it anymore
  * Transition from debian-qt-kde.mk to the KDE debhelper sequence:
    - Bump pkg-kde-tools build-depend version to 0.5.0 or greater
    - Remove cdbs build-dependency
  * Switch to source format 3.0 (quilt):
    - Bump debian/compat to 7
    - Bump debhelper build-depend version to 7.3.16 or greater
  * Bump Standards-Version to 3.8.4
  * Binary package now depends on ${misc:Depends} for lintain happiness

 -- Jonathan Thomas <echidnaman@kubuntu.org>  Wed, 19 May 2010 11:13:23 -0400

plasma-widget-searchmoid (0.1-0ubuntu2) karmic; urgency=low

  * Transition from libplasma-dev to kdelibs5-dev
    - debian/control: change libplasma-dev to kdelibs5-dev
  * Transition from kde4.mk to pkg-kde-tools
    - debian/rules: Change '/usr/share/cdbs/1/class/kde4.mk' to
     '/usr/share/pkg-kde-tools/qt-kde-team/1/debian-qt-kde.mk'
    - debian/control: Build-Depend on 'pkg-kde-tools'
  * Drop cmake from build-deps
  * Bump Standards-Version to 3.8.1 

 -- Alessandro Ghersi <alessandro.ghersi@fastwebnet.it>  Fri, 22 May 2009 22:00:11 +0200

plasma-widget-searchmoid (0.1-0ubuntu1) jaunty; urgency=low

  * Initial release. (LP: #330753)

 -- Jonathan Thomas <echidnaman@kubuntu.org>  Tue, 17 Feb 2009 17:16:02 -0500

=== debian/control ===
Source: plasma-widget-searchmoid
Section: kde
Priority: optional
Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
XSBC-Original-Maintainer: Jonathan Thomas <echidnaman@kubuntu.org>
Build-Depends: debhelper (>= 7.3.16), pkg-kde-tools (>= 0.5.0), cmake,
 kdelibs5-dev (>= 4.2.2)
Standards-Version: 3.8.4
Homepage: http://kde-look.org/content/show.php/SearchMoid?content=99460

Package: plasma-widget-searchmoid
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}
Description: searchbar plasma widget for KDE
 This plasma widget is a simple internet searchbar that offers quick
 searches for the Google, Yahoo and Wikipedia websites. It also can search
 through Debian and Ubuntu packages. The widget also has a history feature.
